//
//  ViewController.swift
//  DoHTestDemo
//
//  Created by 阿里 on 2021/2/3.
//

import UIKit

class ViewController: UIViewController {

    lazy var label:UILabel={
        let target = UILabel.init(frame: CGRect.init(x: 10, y: 100, width: self.view.frame.size.width-20, height: 30))
        target.font = UIFont.systemFont(ofSize: 16)
        target.textColor = UIColor.black
        target.textAlignment = .center
        target.backgroundColor = .lightGray
        return target
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.view.addSubview(label)
        NotificationCenter.default.addObserver(self, selector: #selector(self.notificationAction(notification:)), name: Notification.Name("changelabel"), object: nil)
    }

    @objc func notificationAction(notification:NSNotification)
    {
        let dict = notification.object as! String
        label.text = dict
    }


}

