//
//  allAppLink.swift
//  DoHTestDemo
//
//  Created by 阿里 on 2021/2/3.
//

import UIKit
import NetworkExtension
class allAppLink: NSObject {
    public func systemAllAppLinkDoT(){
        //    对系统全局所有App设置默认的DNS解析器使用阿里云公共DNS
        NEDNSSettingsManager.shared().loadFromPreferences { loadError in
            if let loadError = loadError {
                print(loadError)
                return
            }
//            网络规则设置
//            let workWiFi = NEOnDemandRuleEvaluateConnection()
//            workWiFi.interfaceTypeMatch = .wiFi
//            workWiFi.ssidMatch = ["MyWorkWiFi"]
//            workWiFi.connectionRules = [NEEvaluateConnectionRule(matchDomains: ["enterprise.example"], andAction: .neverConnect)]
//
//            let disableOnCell = NEOnDemandRuleDisconnect()
//            disableOnCell.interfaceTypeMatch = .cellular
//
//            let enableByDefault = NEOnDemandRuleConnect()
//            NEDNSSettingsManager.shared().onDemandRules = [
//                workWiFi,
//                disableOnCell,
//                enableByDefault
//            ]
            //将链接 9999.alidns.com 中的9999替换为您在控制台注册应用时分配的AccountID
            let dotSettings = NEDNSOverTLSSettings(servers: ["223.5.5.5","223.6.6.6","2400:3200:baba::1","2400:3200::1"])
            dotSettings.serverName = "9999.alidns.com"
            NEDNSSettingsManager.shared().dnsSettings = dotSettings
            NEDNSSettingsManager.shared().saveToPreferences { saveError in
                //    验证是否生效
                self.saveToPreferences()
            }
        }
    }
    public func systemAllAppLinkDoH(){
        //    对系统全局所有App设置默认的DNS解析器使用阿里云公共DNS
        NEDNSSettingsManager.shared().loadFromPreferences { loadError in
            if let loadError = loadError {
                print(loadError)
                return
            }
//            网络规则设置
//            let workWiFi = NEOnDemandRuleEvaluateConnection()
//            workWiFi.interfaceTypeMatch = .wiFi
//            workWiFi.ssidMatch = ["MyWorkWiFi"]
//            workWiFi.connectionRules = [NEEvaluateConnectionRule(matchDomains: ["enterprise.example"], andAction: .neverConnect)]
//
//            let disableOnCell = NEOnDemandRuleDisconnect()
//            disableOnCell.interfaceTypeMatch = .cellular
//
//            let enableByDefault = NEOnDemandRuleConnect()
//            NEDNSSettingsManager.shared().onDemandRules = [
//                workWiFi,
//                disableOnCell,
//                enableByDefault
//            ]
            //将链接 https://9999.alidns.com/dns-query 中的9999替换为您在控制台注册应用时分配的AccountID
            let dohSettings = NEDNSOverHTTPSSettings(servers: ["223.5.5.5","223.6.6.6","2400:3200:baba::1","2400:3200::1"])
            dohSettings.serverURL = URL(string: "https://9999.alidns.com/dns-query")
            NEDNSSettingsManager.shared().dnsSettings = dohSettings
            NEDNSSettingsManager.shared().saveToPreferences { saveError in
                //    验证是否生效
                self.saveToPreferences()
            }
        }
    }

    func saveToPreferences()
    {
        let tlsParams = NWParameters.tls
        let conn = NWConnection(host: "www.sougou.com", port: 443, using: tlsParams)
        conn.stateUpdateHandler = {(newState) in
                    switch (newState)
                        {
                        case .ready:
                            //The connection is established and ready to send and recieve data.
                            print("ready")
                            self.readyAction(conn: conn)
                        case .setup:
                            //The connection has been initialized but not started
                            print("setup")
                        case .cancelled:
                            //The connection has been cancelled
                            print("cancelled")
                        case .preparing:
                            //The connection in the process of being established
                            print("Preparing")
                        default:
                            //The connection has disconnected or encountered an error
                            print("waiting or failed")
                        }
         }
         conn.start(queue: .main)
    }
    
    func readyAction(conn:NWConnection)
    {
        conn.requestEstablishmentReport(queue: .main) { report in
            if let report = report {
                self.requestEstablishmentReport(report: report)
            }
        }
    }
    func requestEstablishmentReport(report:NWConnection.EstablishmentReport)
    {
        for resolution in report.resolutions {
            switch resolution.dnsProtocol {
                case .https, .tls:
                    print("Used encrypted DNS!")
                    NotificationCenter.default.post(name: NSNotification.Name(rawValue: "changelabel"), object: "Used encrypted DNS!")
                    break
                case .udp, .tcp:
                    print("Used unencrypted DNS!")
                    NotificationCenter.default.post(name: NSNotification.Name(rawValue: "changelabel"), object: "Used unencrypted DNS!")
                    break
                default:
                    print("Used unknown dnsProtocol!")
                    NotificationCenter.default.post(name: NSNotification.Name(rawValue: "changelabel"), object: "Used unknown dnsProtocol!")
                    break
            }
        }
    }
}
